[workspace]
resolver = "2"

members = [
        "crates/renderer",
        "crates/window",
        "crates/game"
        ]

[profile.debug-release]
inherits = "release"
opt-level = 2
debug = true

[workspace.dependencies]
anyhow = "1.0.89"
thiserror = "2.0"

tracing = "0.1.40"
tracing-subscriber = {version ="0.3.18", features = ["env-filter"]}

glam = {version = "0.29.0", features = ["bytemuck"]}
rand = "0.8.5"
bitflags = "2.6"

ash = "0.38.0"
ash-window = "0.13.0"
vk-mem = "0.4.0"
vk-sync = "0.1.6"

tinyvec = "1.8"
indexmap = "2"
petgraph = "0.7"
itertools = "0.14.0"
ahash = "0.8"

parking_lot = "0.12.3"

tokio = "1.42"
futures = "0.3"
smol = "2.0"
rayon = "1.10"

winit = {version = "0.30.5", features = ["rwh_06"]}
raw-window-handle = "0.6"

egui = "0.30"
egui_winit_platform = "0.25"
